---

driver:
  name: docker

lint: |
    yamllint .
    ansible-lint

platforms:

  # - name: centos-7
  #   image: paulfantom/centos-molecule:7
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  - name: centos-8
    image: paulfantom/centos-molecule:8
    docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: fedora-32
  #   image: geerlingguy/docker-fedora32-ansible:latest
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: amzn-2
  #   image: geerlingguy/docker-amazonlinux2-ansible:latest
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: ubuntu-18
  #   image: paulfantom/ubuntu-molecule:18.04
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: ubuntu-20
  #   image: geerlingguy/docker-ubuntu2004-ansible:latest
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: debian-9
  #   image: paulfantom/debian-molecule:9
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

  # - name: debian-10
  #   # image: paulfantom/debian-molecule:10
  #   image: geerlingguy/docker-debian10-ansible:latest
  #   docker_host: "${DOCKER_HOST:-unix://run/docker.sock}"
  #   privileged: true
  #   volumes:
  #     - /sys/fs/cgroup:/sys/fs/cgroup:ro

provisioner:
  name: ansible
  ansible_args:
    - --diff
  #   - -vvv
  config_options:
    defaults:
      deprecation_warnings: True
      interpreter_python: auto
      stdout_callback: yaml

  lint:
    name: ansible-lint
  playbooks:
    create: create.yml
    prepare: prepare.yml
    converge: playbook.yml
    destroy: destroy.yml

scenario:
  test_sequence:
    - lint
    - destroy
    - dependency
    - syntax
    - create
    - prepare
    - converge
    - verify
    - destroy

verifier:
  name: testinfra
